aboutsummaryrefslogtreecommitdiffstats
path: root/tests/arch/gowin/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2019-11-19 17:29:27 +0100
committerGitHub <noreply@github.com>2019-11-19 17:29:27 +0100
commit7ea0a5937ba2572f6d9d62e73e24df480c49561d (patch)
tree7825f438b83fdc730764ba15016eeeac9eb0cf41 /tests/arch/gowin/run-test.sh
parent15232a48af60fb7da3c3afdd144882ace2194197 (diff)
parent8ab412eb16b1d4f98117247bf85e0c37627ee459 (diff)
downloadyosys-7ea0a5937ba2572f6d9d62e73e24df480c49561d.tar.gz
yosys-7ea0a5937ba2572f6d9d62e73e24df480c49561d.tar.bz2
yosys-7ea0a5937ba2572f6d9d62e73e24df480c49561d.zip
Merge pull request #1449 from pepijndevos/gowin
Improvements for gowin support
Diffstat (limited to 'tests/arch/gowin/run-test.sh')
-rwxr-xr-xtests/arch/gowin/run-test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/arch/gowin/run-test.sh b/tests/arch/gowin/run-test.sh
new file mode 100755
index 000000000..bf19b887d
--- /dev/null
+++ b/tests/arch/gowin/run-test.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -e
+{
+echo "all::"
+for x in *.ys; do
+ echo "all:: run-$x"
+ echo "run-$x:"
+ echo " @echo 'Running $x..'"
+ echo " @../../../yosys -ql ${x%.ys}.log -w 'Yosys has only limited support for tri-state logic at the moment.' $x"
+done
+for s in *.sh; do
+ if [ "$s" != "run-test.sh" ]; then
+ echo "all:: run-$s"
+ echo "run-$s:"
+ echo " @echo 'Running $s..'"
+ echo " @bash $s"
+ fi
+done
+} > run-test.mk
+exec ${MAKE:-make} -f run-test.mk